<?php

$lzFitnessSliderSingleChoice = getFitnessPostsType('slider');

// CREATING A SECTION IN CUSTOMIZER
$wp_customize->add_section(
	'premium_slider_section',
	array(
		'title' => __( 'Slider Section', 'luzuk-premium' ),
        'panel' => 'luzuk_premium_home_panel',
		'priority' =>18
	)
);

// show content in slider
$wp_customize->add_setting(
	'premium_slider_show_content',
	array(
		'sanitize_callback' => 'luzuk_sanitize_text',
	)
);
$wp_customize->add_control(
	new luzuk_Switch_Control(
		$wp_customize,
		'premium_slider_show_content',
		array(
			'settings'      => 'premium_slider_show_content',
			'section'       => 'premium_slider_section',
			'label'         => __( 'Hide Title And Description On Slider', 'luzuk-premium' ),
			'on_off_label'  => array(
				'on' => __( 'No', 'luzuk-premium' ),
				'off' => __( 'Yes', 'luzuk-premium' )
			),
		)
	)
);

$wp_customize->add_setting('luzuk_premium_slider_section_lbl', array('sanitize_callback'=>'luzuk_sanitize_text'));
$wp_customize->add_control(
	new luzuk_Info_Text( 
		$wp_customize,
		'luzuk_premium_slider_section_lbl',
		array(
			'settings'		=> 'luzuk_premium_slider_section_lbl',
			'section'		=> 'premium_slider_section',
			'label'			=> __( 'Note:', 'luzuk-premium' ),	
			'description'	=> __( 'The Page featured image works as a slider banner and the title & content work as a slider caption. And you can add this from the Slider menu. <br/> Recommended Image Size: 745X680', 'luzuk-premium' ),
		)
	)
);


lzCustomLable($wp_customize, 'slider_color', 'premium_slider_section', 'Section Color');


backgroundManager($wp_customize, 'main-slide', 'premium_slider_section', $color='#fff', get_template_directory_uri().'/images/EFFECT.png', 'color');

addColorPalatOption($wp_customize, 'slider_SimgClr', 'premium_slider_section', 'Slider Image BG Color', '#1d62b8');

addColorPalatOption($wp_customize, 'slider_SimgbrdClr', 'premium_slider_section', 'Slider Right Image Border Color', '#1d62b8');

addColorPalatOption($wp_customize, 'slider_SltitleColor', 'premium_slider_section', 'Slider Title Color', '#fff');

addColorPalatOption($wp_customize, 'slider_SubtitleColor', 'premium_slider_section', 'Slider Text Color', '#a8bbdc');


lzCustomLable($wp_customize, 'slider_fristbtn', 'premium_slider_section', 'Slider Frist Button Color');

addColorPalatOption($wp_customize, 'slider_btntxt', 'premium_slider_section', 'First Button Text Color', '#1d62b8');

addColorPalatOption($wp_customize, 'slider_btntxthv', 'premium_slider_section', 'First Button Text Hover Color', '#fff');

addColorPalatOption($wp_customize, 'slider_btntxtbg', 'premium_slider_section', 'First Button BG Color', '#fff');

addColorPalatOption($wp_customize, 'slider_btntxtbghv', 'premium_slider_section', 'First Button BG Hover Color', '#68a9fd');


lzCustomLable($wp_customize, 'slider_secndbtn', 'premium_slider_section', 'Slider Second Button Color');

addColorPalatOption($wp_customize, 'slider2nd_btntxt', 'premium_slider_section', 'Second Button Text Color', '#fff');

addColorPalatOption($wp_customize, 'slider2nd_btntxthv', 'premium_slider_section', 'Second Button Text Hover Color', '#fff');

addColorPalatOption($wp_customize, 'slider2nd_btnbghv', 'premium_slider_section', 'Second Button BG Hover Color', '#68a9fd');

addColorPalatOption($wp_customize, 'slider2nd_btnbrd', 'premium_slider_section', 'Second Button Border Color', '#fff');

